- Processing
- p5.js
- Processing.py

- Processing Foundation

This reference is for Processing 3.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### BrownNoise
Examples |
    import processing.sound.*;
    BrownNoise noise;

    void setup() {
      size(640, 360);
      background(255);

      // Create the noise generator
      noise = new BrownNoise(this);
      noise.play();
    }

    void draw() {
    }
Description | This is a Brown Noise Generator. Brown Noise has a decrease of 6dB per octave.
Methods |
play() | Start the generator
stop() | Stop the generator
amp() | Change the amplitude/volume of the generator
add() | Offset the output of the generator by given value
pan() | Move the sound in a stereo panorama
set() | Set multiple parameters at once
Constructor |
    BrownNoise(parent)
Parameters |
parent | PApplet: typically use "this"

Updated on June 20, 2015 10:37:40pm UTC